Subject: Re: [bug#61094] [PATCH] doc: Document 'shebang' for 'guix shell'.

From: zimoun <[email-masked]>
Date: Tue, 07 Feb 2023 12:48:54 +0100

Hi,

On Fri, 03 Feb 2023 at 23:54, Liliana Marie Prikler <[email-masked]> wrote:

>> +@quotation Note
>> +@cindex shebang
>> +@command{guix shell} can be used as @emph{shebang}.  Consider the
>> +previous example as an executable Python script, the @emph{shebang}
>> +reads,
>> +
>> +@example
>> +#!/usr/bin/env -S guix shell python python-nympy -- python3
>> +@end example
>> +
>> +All the @var{options} or convenience of @command{guix shell} apply.
>> +@end quotation
>> +
>
> Is this really guix running as a shell or is it actually a feature of
> env?  In either case, it's worth documenting, but we should try to stay
> factually correct.

Well, I am not sure to understand the question.  It is a feature of env
which allows to run “guix shell” which provides python3 as “shell”.

>From my understanding, all written seems factually correct.  Maybe I am
missing something and I would be happy to be corrected if I am doing
wrong. :-)

Cheers,
simon